Package org.springframework.security.authentication.password

# Interface ReactiveCompromisedPasswordChecker

public interface ReactiveCompromisedPasswordChecker
A Reactive API for checking if a password has been compromised.

Since:
  6.3

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<CompromisedPasswordDecision>`
`check(String password)`
Check whether the password is compromised

## Method Details

### check

reactor.core.publisher.Mono<CompromisedPasswordDecision> check(String password)
Check whether the password is compromised

Parameters:
  `password` - the password to check
Returns:
  a `Mono` containing the `CompromisedPasswordDecision`